SMSResponseType
Date: 2013-06-24

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.gcube.contentmanagement.storagelayer.storagemanagementservice.stubs.response
Enum SMSResponseType

    java.lang.Object
      java.lang.Enum<SMSResponseType>
          org.gcube.contentmanagement.storagelayer.storagemanagementservice.stubs.response.SMSResponseType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<SMSResponseType>

    public enum SMSResponseType

extends java.lang.Enum<SMSResponseType>

Author:
  Federico De Faveri defaveri@isti.cnr.it

Enum Constant Summary
`INFORMATION_OBJECT`
`INFORMATION_OBJECT_TREE`
`OID`

Method Summary
`static SMSResponseType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SMSResponseType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### OID

    public static final SMSResponseType OID

### INFORMATION_OBJECT

    public static final SMSResponseType INFORMATION_OBJECT

### INFORMATION_OBJECT_TREE

    public static final SMSResponseType INFORMATION_OBJECT_TREE

Method Detail

### values

    public static SMSResponseType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SMSResponseType c : SMSResponseType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SMSResponseType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD